Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

undefined method `asset_environment' for class `Sprockets::Railtie' #2316

Closed
masterkain opened this Issue · 2 comments

4 participants

@masterkain

Hello,
currently on Rails master, this happens when booting the app:

ERROR -- : undefined method `asset_environment' for class `Sprockets::Railtie' (NameError)
/Users/kain/.rvm/gems/ruby-1.9.2-p290/bundler/gems/rails-8248052ee744/activesupport/lib/active_support/core_ext/module/aliasing.rb:31:in `alias_method'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/bundler/gems/rails-8248052ee744/activesupport/lib/active_support/core_ext/module/aliasing.rb:31:in `alias_method_chain'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/bundler/gems/sass-rails-233cf837197f/lib/sass/rails/monkey_patches.rb:7:in `included'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/bundler/gems/sass-rails-233cf837197f/lib/sass/rails/monkey_patches.rb:23:in `include'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/bundler/gems/sass-rails-233cf837197f/lib/sass/rails/monkey_patches.rb:23:in `<class:Railtie>'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/bundler/gems/sass-rails-233cf837197f/lib/sass/rails/monkey_patches.rb:22:in `<module:Sprockets>'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/bundler/gems/sass-rails-233cf837197f/lib/sass/rails/monkey_patches.rb:21:in `<top (required)>'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/bundler/gems/rails-8248052ee744/activesupport/lib/active_support/dependencies.rb:236:in `require'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/bundler/gems/rails-8248052ee744/activesupport/lib/active_support/dependencies.rb:236:in `block in require'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/bundler/gems/rails-8248052ee744/activesupport/lib/active_support/dependencies.rb:222:in `block in load_dependency'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/bundler/gems/rails-8248052ee744/activesupport/lib/active_support/dependencies.rb:616:in `new_constants_in'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/bundler/gems/rails-8248052ee744/activesupport/lib/active_support/dependencies.rb:222:in `load_dependency'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/bundler/gems/rails-8248052ee744/activesupport/lib/active_support/dependencies.rb:236:in `require'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/bundler/gems/sass-rails-233cf837197f/lib/sass/rails.rb:9:in `<top (required)>'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/bundler/gems/rails-8248052ee744/activesupport/lib/active_support/dependencies.rb:236:in `require'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/bundler/gems/rails-8248052ee744/activesupport/lib/active_support/dependencies.rb:236:in `block in require'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/bundler/gems/rails-8248052ee744/activesupport/lib/active_support/dependencies.rb:222:in `block in load_dependency'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/bundler/gems/rails-8248052ee744/activesupport/lib/active_support/dependencies.rb:616:in `new_constants_in'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/bundler/gems/rails-8248052ee744/activesupport/lib/active_support/dependencies.rb:222:in `load_dependency'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/bundler/gems/rails-8248052ee744/activesupport/lib/active_support/dependencies.rb:236:in `require'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/bundler/gems/sass-rails-233cf837197f/lib/sass-rails.rb:1:in `<top (required)>'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.1.pre.5/lib/bundler/runtime.rb:68:in `require'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.1.pre.5/lib/bundler/runtime.rb:68:in `block (2 levels) in require'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.1.pre.5/lib/bundler/runtime.rb:66:in `each'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.1.pre.5/lib/bundler/runtime.rb:66:in `block in require'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.1.pre.5/lib/bundler/runtime.rb:55:in `each'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.1.pre.5/lib/bundler/runtime.rb:55:in `require'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.1.pre.5/lib/bundler.rb:123:in `require'
/Users/kain/Sites/nubeapp/config/application.rb:14:in `<top (required)>'
/Users/kain/Sites/nubeapp/config/environment.rb:2:in `require'
/Users/kain/Sites/nubeapp/config/environment.rb:2:in `<top (required)>'
config.ru:4:in `require'
config.ru:4:in `block in <main>'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/gems/rack-1.3.2/lib/rack/builder.rb:51:in `instance_eval'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/gems/rack-1.3.2/lib/rack/builder.rb:51:in `initialize'
config.ru:1:in `new'
config.ru:1:in `<main>'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/gems/unicorn-4.0.1/lib/unicorn.rb:44:in `eval'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/gems/unicorn-4.0.1/lib/unicorn.rb:44:in `block in builder'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/gems/unicorn-4.0.1/lib/unicorn/http_server.rb:673:in `call'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/gems/unicorn-4.0.1/lib/unicorn/http_server.rb:673:in `build_app!'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/gems/unicorn-4.0.1/lib/unicorn/http_server.rb:549:in `init_worker_process'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/gems/unicorn-4.0.1/lib/unicorn/http_server.rb:567:in `worker_loop'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/gems/unicorn-4.0.1/lib/unicorn/http_server.rb:475:in `spawn_missing_workers'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/gems/unicorn-4.0.1/lib/unicorn/http_server.rb:135:in `start'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/gems/unicorn-4.0.1/bin/unicorn:121:in `<top (required)>'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/bin/unicorn:19:in `load'
/Users/kain/.rvm/gems/ruby-1.9.2-p290/bin/unicorn:19:in `<main>'

Gemfile (relevant parts)

gem 'rails', git: 'git://github.com/rails/rails.git'
group :assets do
  gem 'sass-rails',   git: 'git://github.com/rails/sass-rails.git'#, branch: '3-1-stable'
  gem 'coffee-rails', git: 'git://github.com/rails/coffee-rails.git'#, branch: '3-1-stable's
  gem 'uglifier'
  gem 'compass',      git: 'git://github.com/chriseppstein/compass.git', branch: 'rails31'
end
@tenderlove
Owner

Thanks for the report!

I think that @chriseppstein and @josh have already seen this. I believe it is a bug in sass-rails, but we'll keep this ticket open until the problem is sorted out.

@josh
Collaborator
@spastorino spastorino closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.